Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 83695 - apache-1.3.27-1.3.1 serves pages to target frames incorrectly.
Summary: apache-1.3.27-1.3.1 serves pages to target frames incorrectly.
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: apache
Version: 7.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-02-07 05:31 UTC by Robert Allan Kiesling
Modified: 2007-04-18 16:50 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-02-06 17:18:53 UTC


Attachments (Terms of Use)

Description Robert Allan Kiesling 2003-02-07 05:31:33 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.7 [en] (X11; I; Linux 2.2.16-22 i586)

Description of problem:
When using HTML target attribute, as in
<form action="/cgi-bin/script.cgi" target="other-frame">
</form>

or

<base href="http://server" target="other-frame">

page is served in new browser window in Netscape communicator 4.7.

Problem does not occur in httpd built from source code.




Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Enter data
2.Click "submit" button
3.Browser opens new window.
    

Actual Results:  Browser opened CGI generated page in new window.

Expected Results:  Browser should open page in other frame.

Additional info:

Source code available upon request.

Comment 1 Joe Orton 2004-02-06 17:18:53 UTC
Seems very unlikely this is an Apache bug.


Note You need to log in before you can comment on or make changes to this bug.